// ******************************************************************************************
// Mod Name: NIntendomod
// Mod Id: NIntendomod_UME
// Mod Version: 1.0.2
// Mod File: code.js
// ******************************************************************************************
// Author: UME
// Last modified: 2018-05-21 20:54
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var NIntendomod = {};

(function(){

// ******************************************************************************************
// Researches: Lab
// ******************************************************************************************

// Adding 4D?
// -----------------------------------------------------------
UltimateLib.Research.addRndResearch({
	id: "068c2d97-7b29-495e-9731-8c253319ed44",
	name: "4D?",
	pointsCost: 10,
	iconUri: NIntendomod_UME.modPath + "/images/researches/lab/download (13).png",
	description: "wow 4D? this will blow peoples minds!",
	canResearch: function () {
							var res = true;
							res &= GameManager.company.flags.rndLabUnlocked;

						return res;
				},
	repeatable: false,
	targetZone: 2,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === '068c2d97-7b29-495e-9731-8c253319ed44';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				
				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});


// ******************************************************************************************
// Researches: Hardware
// ******************************************************************************************

// Adding just share it with social media!
// -----------------------------------------------------------
UltimateLib.Research.addHardwareResearch({
	id: "98780176-ae4e-4a78-a503-36b92377c173",
	name: "just share it with social media!",
	pointsCost: 1000,
	iconUri: NIntendomod_UME.modPath + "/images/researches/hardware/download (12).png",
	description: "more and more will see youre games on soicial media!",
	canResearch: function () {
							var res = true;

						return res;
				},
	repeatable: false,
	targetZone: 0,
	complete: function () {
			
			var research =  Research.getAllItems().filter(function (f) { return f.id === '98780176-ae4e-4a78-a503-36b92377c173';  });
			if(research){
				GameManager.company.researchCompleted.push(research);
				// Notification
				
				// Actions
				
			}
			else {
				var notification = new Notification({
					header: "UME Error",
					text: "An error occurred on lab research complete callback.",
					image: "",
					buttonText: "OK",
					weeksUntilFired: 0
				});
				GameManager.company.notifications.push(notification);
			}
			
}

	});


// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Virtual Boy
// -----------------------------------------------------------
GDT.addPlatform({
	id:"7a0eefea-79f2-4a75-8447-2806ec52caf5",
	name:"Virtual Boy",
	company:"Ninvento",
	startAmount:0.1,
	unitsSold:0.77,
	licencePrize:3E4,
	published:"8/6/3",
	platformRetireDate:"9/3/1",
	developmentCosts:1E4,
	genreWeightings:[  0.7, 0.6, 0.6, 1, 0.8, 0.8 ],
	audienceWeightings:[  0.8, 0.6, 0.6 ],
	techLevel:2,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (1).png",
	events:null
	});

// Adding NES Classic Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"90c8efbe-f2f3-4d40-aae1-cd56bada3df2",
	name:"NES Classic Mini",
	company:"Ninvento",
	startAmount:0.09,
	unitsSold:0.1,
	licencePrize:5E4,
	published:"28/11/2",
	platformRetireDate:"29/5/4",
	developmentCosts:1E4,
	genreWeightings:[  1, 1, 0.8, 0.8, 0.9, 0.6 ],
	audienceWeightings:[  0.8, 0.8, 1 ],
	techLevel:3,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (2).png",
	events:null
	});

// Adding SNES Classic Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"b4dd9f5b-234d-4607-869e-d35c30fc1165",
	name:"SNES Classic Mini",
	company:"Ninvento",
	startAmount:6,
	unitsSold:5.3,
	licencePrize:5E4,
	published:"29/9/4",
	platformRetireDate:"30/12/4",
	developmentCosts:2E4,
	genreWeightings:[  1, 1, 0.8, 1, 1, 0.7 ],
	audienceWeightings:[  0.9, 0.8, 1 ],
	techLevel:4,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/300px-Super_NES_Classic_Edition.png",
	events:null
	});

// Adding Game and watch
// -----------------------------------------------------------
GDT.addPlatform({
	id:"03909ce2-e6bc-4df9-b06f-3bb137faf5fb",
	name:"Game and watch",
	company:"Ninvento",
	startAmount:2,
	unitsSold:4E1,
	licencePrize:1E4,
	published:"1/4/4",
	platformRetireDate:"3/10/2",
	developmentCosts:5E3,
	genreWeightings:[  1, 0.7, 0.6, 0.9, 1, 0.6 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/Game_&_Watch.png",
	events:null
	});

// Adding Ninvento 3DS XL
// -----------------------------------------------------------
GDT.addPlatform({
	id:"fa98616d-ee12-4730-8abb-d37cd9114c48",
	name:"Ninvento 3DS XL",
	company:"Ninvento",
	startAmount:0.1,
	unitsSold:3,
	licencePrize:1E5,
	published:"20/7/4",
	platformRetireDate:"22/6/4",
	developmentCosts:5E4,
	genreWeightings:[  0.8, 1, 0.9, 1, 1, 1 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/1024px-Nintendo-3DS-XL-angled.png",
	events:null
	});

// Adding Color tv
// -----------------------------------------------------------
GDT.addPlatform({
	id:"278c77ae-bf3c-4ea7-a14d-fe232bc5aa04",
	name:"Color tv",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.1,
	licencePrize:2E3,
	published:"1/1/1",
	platformRetireDate:"1/10/4",
	developmentCosts:1E3,
	genreWeightings:[  0.9, 1, 0.6, 0.8, 1, 0.6 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (4).png",
	events:null
	});

// Adding Ninvento cards
// -----------------------------------------------------------
GDT.addPlatform({
	id:"f6f67b1a-0140-4099-b385-d39b4d1a9b56",
	name:"Ninvento cards",
	company:"Ninvento",
	startAmount:0.001,
	unitsSold:0.005,
	licencePrize:2E3,
	published:"1/1/1",
	platformRetireDate:"1/2/1",
	developmentCosts:5E2,
	genreWeightings:[  0.6, 0.6, 0.6, 0.9, 1, 0.9 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (5).png",
	events:null
	});

// Adding (Future) Ninvento 64 mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"942909d5-d6fa-405e-8f97-6858f80dfde9",
	name:"(Future) Ninvento 64 mini",
	company:"Ninvento",
	startAmount:0.1,
	unitsSold:2,
	licencePrize:6E5,
	published:"31/3/2",
	platformRetireDate:"32/10/4",
	developmentCosts:4E5,
	genreWeightings:[  0.9, 0.7, 0.9, 1, 1, 0.7 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:4,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (6).png",
	events:null
	});

// Adding (Future) NX
// -----------------------------------------------------------
GDT.addPlatform({
	id:"7e560cb6-410d-4211-99ca-494873aa8044",
	name:"(Future) NX",
	company:"NInvento",
	startAmount:2,
	unitsSold:8E1,
	licencePrize:1E6,
	published:"35/1/1",
	platformRetireDate:"39/8/3",
	developmentCosts:5E5,
	genreWeightings:[  1, 0.8, 0.6, 1, 0.8, 1 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:6,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (7).png",
	events:null
	});

// Adding (Future) Ninvento old system
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3f35a364-75b7-4683-85a3-ddebd93b7890",
	name:"(Future) Ninvento old system",
	company:"Ninvento",
	startAmount:1,
	unitsSold:4,
	licencePrize:1E6,
	published:"37/6/2",
	platformRetireDate:"39/10/4",
	developmentCosts:8E5,
	genreWeightings:[  0.7, 1, 1, 0.9, 1, 0.7 ],
	audienceWeightings:[  1, 0.6, 0.7 ],
	techLevel:3,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (9).png",
	events:null
	});

// Adding (Future) Ninvento ON
// -----------------------------------------------------------
GDT.addPlatform({
	id:"e8705c12-ae39-413c-9448-9febf481667c",
	name:"(Future) Ninvento ON",
	company:"Ninvento ",
	startAmount:1,
	unitsSold:1E2,
	licencePrize:4E6,
	published:"39/6/3",
	platformRetireDate:"44/7/4",
	developmentCosts:1E6,
	genreWeightings:[  0.9, 0.7, 1, 1, 0.7, 1 ],
	audienceWeightings:[  0.9, 0.8, 1 ],
	techLevel:7,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (10).png",
	events:null
	});

// Adding (Future) Ninvento 4DS
// -----------------------------------------------------------
GDT.addPlatform({
	id:"4e1345cb-d118-4da4-8c95-18e6b632ea5e",
	name:"(Future) Ninvento 4DS",
	company:"Ninvento",
	startAmount:4,
	unitsSold:1E2,
	licencePrize:4E6,
	published:"39/12/1",
	platformRetireDate:"44/5/2",
	developmentCosts:1E6,
	genreWeightings:[  0.9, 1, 1, 1, 0.9, 0.9 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (11).png",
	events:null
	});

// Adding (Future) Ninvento Vonny
// -----------------------------------------------------------
GDT.addPlatform({
	id:"bba37fb4-5b01-4dc6-935d-3683d98f805c",
	name:"(Future) Ninvento Vonny",
	company:"Ninvento and Cony",
	startAmount:2E1,
	unitsSold:5E2,
	licencePrize:5E6,
	published:"50/6/2",
	platformRetireDate:"55/10/3",
	developmentCosts:2E6,
	genreWeightings:[  1, 1, 1, 1, 0.6, 0.8 ],
	audienceWeightings:[  0.7, 0.8, 1 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/images (1).png",
	events:null
	});

// Adding Panasonic Q
// -----------------------------------------------------------
GDT.addPlatform({
	id:"ad3550cc-c157-4229-8e78-b7c2c906094b",
	name:"Panasonic Q",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.09,
	licencePrize:6E4,
	published:"15/1/1",
	platformRetireDate:"17/2/4",
	developmentCosts:3E4,
	genreWeightings:[  1, 0.8, 0.8, 0.9, 1, 0.6 ],
	audienceWeightings:[  0.7, 0.8, 1 ],
	techLevel:3,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/PanasonicQ.png",
	events:null
	});

// Adding Mini Wii
// -----------------------------------------------------------
GDT.addPlatform({
	id:"5ebfce60-b5a3-4d3f-934f-348de4c3adf0",
	name:"Mini Wii",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.07,
	licencePrize:2E5,
	published:"21/12/2",
	platformRetireDate:"23/4/2",
	developmentCosts:1E5,
	genreWeightings:[  0.7, 1, 0.9, 1, 0.9, 1 ],
	audienceWeightings:[  1, 0.8, 0.7 ],
	techLevel:5,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (1).png",
	events:null
	});

// Adding Game Boy Light
// -----------------------------------------------------------
GDT.addPlatform({
	id:"1f9cee7e-96cf-4c58-93c2-8256d1e5ac9b",
	name:"Game Boy Light",
	company:"Ninvento",
	startAmount:0.02,
	unitsSold:0.12,
	licencePrize:4E4,
	published:"10/4/2",
	platformRetireDate:"13/4/4",
	developmentCosts:1E4,
	genreWeightings:[  0.7, 1, 0.9, 0.6, 1, 0.6 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:2,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/images.png",
	events:null
	});

// Adding Game Boy Advance
// -----------------------------------------------------------
GDT.addPlatform({
	id:"62b2dc56-033b-4fab-be59-c74684d9172f",
	name:"Game Boy Advance",
	company:"Ninvento",
	startAmount:1,
	unitsSold:8E1,
	licencePrize:1E5,
	published:"14/3/3",
	platformRetireDate:"16/2/2",
	developmentCosts:8E4,
	genreWeightings:[  0.8, 1, 0.9, 0.7, 0.9, 0.8 ],
	audienceWeightings:[  1, 0.7, 0.8 ],
	techLevel:3,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (2).png",
	events:null
	});

// Adding Pokémon Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"99ec6b02-5a7c-4449-b199-cc08a27b7a76",
	name:"Pok\u00E9mon Mini",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.21,
	licencePrize:2E4,
	published:"14/4/4",
	platformRetireDate:"16/3/2",
	developmentCosts:1E4,
	genreWeightings:[  1, 1, 0.8, 0.6, 0.9, 0.6 ],
	audienceWeightings:[  1, 0.7, 0.6 ],
	techLevel:2,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/Pmini.png",
	events:null
	});

// Adding Pokémon Pikachu 2 GS
// -----------------------------------------------------------
GDT.addPlatform({
	id:"de155c08-48e5-459c-ae74-004e38a054be",
	name:"Pok\u00E9mon Pikachu 2 GS",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.09,
	licencePrize:4E4,
	published:"11/3/1",
	platformRetireDate:"12/3/4",
	developmentCosts:1E4,
	genreWeightings:[  0.6, 0.6, 1, 1, 0.7, 1 ],
	audienceWeightings:[  1, 0.8, 0.7 ],
	techLevel:2,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (14).png",
	events:null
	});

// Adding Pokémon Pikachu
// -----------------------------------------------------------
GDT.addPlatform({
	id:"adeb1d25-50be-4a7d-9292-43c6dcafbad2",
	name:"Pok\u00E9mon Pikachu",
	company:"Ninvento",
	startAmount:0.01,
	unitsSold:0.1,
	licencePrize:1E4,
	published:"10/12/1",
	platformRetireDate:"11/12/4",
	developmentCosts:1E3,
	genreWeightings:[  0.6, 0.6, 0.8, 0.9, 0.7, 1 ],
	audienceWeightings:[  1, 0.8, 0.7 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/download (15).png",
	events:null
	});

// Adding Game Boy Advance SP
// -----------------------------------------------------------
GDT.addPlatform({
	id:"bb1d9017-da84-4cc5-b1a4-96e4c9a50e37",
	name:"Game Boy Advance SP",
	company:"Ninvento",
	startAmount:1,
	unitsSold:8E1,
	licencePrize:4E5,
	published:"16/2/2",
	platformRetireDate:"18/10/4",
	developmentCosts:2E5,
	genreWeightings:[  0.7, 0.8, 0.7, 0.9, 1, 0.8 ],
	audienceWeightings:[  1, 0.9, 0.9 ],
	techLevel:1,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/Game_Boy_Advance_SP_Red_Model.png",
	events:null
	});

// Adding New Nintendo 2DS XL 
// -----------------------------------------------------------
GDT.addPlatform({
	id:"9aca66c2-53df-470e-bb0c-26b0e4e8a15e",
	name:"New Nintendo 2DS XL ",
	company:"Ninvento",
	startAmount:2,
	unitsSold:7E1,
	licencePrize:4E5,
	published:"30/6/2",
	platformRetireDate:"33/5/2",
	developmentCosts:3E5,
	genreWeightings:[  1, 0.8, 1, 0.9, 1, 1 ],
	audienceWeightings:[  1, 0.9, 0.9 ],
	techLevel:6,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/New_Nintendo_2DS_XL_-_Hardware_021.png",
	events:null
	});

// Adding Game Boy Pocket
// -----------------------------------------------------------
GDT.addPlatform({
	id:"90a1b458-ba9a-4ea5-b95b-ee1780bbcc0e",
	name:"Game Boy Pocket",
	company:"Ninvento",
	startAmount:0.1,
	unitsSold:2E1,
	licencePrize:1E5,
	published:"10/7/3",
	platformRetireDate:"12/8/4",
	developmentCosts:4E4,
	genreWeightings:[  0.8, 0.9, 0.7, 0.9, 0.8, 0.6 ],
	audienceWeightings:[  1, 0.9, 0.8 ],
	techLevel:2,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/Game_Boy_Pocket_(Model).png",
	events:null
	});

// Adding Game Boy Micro
// -----------------------------------------------------------
GDT.addPlatform({
	id:"d2f279e4-c002-48b1-82f8-1ae91fd24fdd",
	name:"Game Boy Micro",
	company:"Ninveto",
	startAmount:1,
	unitsSold:4E1,
	licencePrize:9E5,
	published:"19/8/2",
	platformRetireDate:"22/8/1",
	developmentCosts:4E5,
	genreWeightings:[  0.9, 1, 0.8, 0.9, 1, 0.8 ],
	audienceWeightings:[  1, 0.9, 0.9 ],
	techLevel:3,
	iconUri: NIntendomod_UME.modPath + "/images/platforms/220px-Game_boy_micro_all_black.png",
	events:null
	});


// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
{ 
	id: "8014f2ae-40c4-4512-91d9-21ecbd28f428",
	name: "Ninvento Creator!",
	genreWeightings: [  0.6, 0.6, 0.9, 1, 1, 0.9 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }

]);

// ******************************************************************************************
// Events
// ******************************************************************************************



})();
